• Resolved Nashwan Doaqan

    (@alex-ye)


    Hello,

    Thank you for the development and support of this project.

    I hope you revisit your plugin support for WordPress 5.3 as soon as possible. There are several errors I noticed with the plugin that breaks the compatibility.

    1- Loading a whole version of the Bootstrap framework in WordPress admin panel:
    This rises conflict with WordPress styles and slows down the admin panel. I don’t think that you need to use Bootstrap, and if you must, think about loading it only in the plugin settings page.

    2- Loading a different version of jQuery inside WP admin panel:
    This causes a conflict with WordPress and many other plugins. What is the problem of using the bundled version of jQuery?

    3- Enqueuing the plugin styles and scripts too early:
    Any plugin should register/enqueue the styles or scripts in these hooks: wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts. Currently, the plugin enqueue several styles directly in RiddlePlugin:run() method.

    Best Regards,
    Nashwan

    The page I need help with: [log in to see the link]

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author riddleinc

    (@riddleinc)

    Dear Nashwan,
    thank you so much for taking the time to list the issues you found with our plugin.

    I have passed this on to our development team and we will provide a plugin update to address these issues as fast as we can.

    I will leave this topic open and notify you once that is done.

    Best regards,
    Boris

    Plugin Author riddleinc

    (@riddleinc)

    Hi again,
    we have released a new version of our plugin (4.1.2) with the changes you suggested.

    thank you again for pointing out the errors in our code.

    cheers
    Boris

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.